InstanceModel (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.guide.instance
Interface InstanceModel

All Superinterfaces:
  Model

All Known Implementing Classes:
  AtomicModel, DecisionTreeModel, FeatureDivideModel

    public interface InstanceModel

extends Model

Method Summary
`void` | `addInstance(SingleDecision decision)`
`void` | `decreaseFrequency()`
`FeatureVector` | `extract()`
`void` | `increaseFrequency()`
`boolean` | `predict(SingleDecision decision)`
`FeatureVector` | `predictExtract(SingleDecision decision)`
`void` | `train()`

Methods inherited from interface org.maltparser.parser.guide.Model
`finalizeSentence, getGuide, getModelName, noMoreInstances, terminate`

Method Detail

### addInstance

    void addInstance(SingleDecision decision)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### predict

    boolean predict(SingleDecision decision)
                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### predictExtract

    FeatureVector predictExtract(SingleDecision decision)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### extract

    FeatureVector extract()
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### train

    void train()
               throws MaltChainedException

  Throws:
    `MaltChainedException`

### increaseFrequency

    void increaseFrequency()

### decreaseFrequency

    void decreaseFrequency()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.